Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.async
Class DOMBuilderEvent

`java.lang.Object
java.util.EventObject
oracle.xml.async.DOMBuilderEvent`

All Implemented Interfaces:
  java.io.Serializable

      public class DOMBuilderEvent

extends java.util.EventObject

The event object that DOMBuilder uses to notify all registered listeners about parse events.

See Also:
  Serialized Form

Field Summary
`protected int` `id` ID of the source DOMBuilder object

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DOMBuilderEvent(java.lang.Object p0, int p1)` Creates a new DOMBuilderEvent

Method Summary
`int` `getID()` Returns unique id of the DOMBuilder object which can be used to identify which instance of the DOMBuilder generated this event in cases where multiple instances of DOMBuilder may be working in background.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

  ID of the source DOMBuilder object

Constructor Detail

### DOMBuilderEvent

    public DOMBuilderEvent(java.lang.Object p0,
                           int p1)

  Creates a new DOMBuilderEvent
  Parameters:
    `p0` - The `Object` creating this event.
    `p1` - Id of the `DOMBuilder` creating this event.

Method Detail

### getID

    public int getID()

  Returns unique id of the DOMBuilder object which can be used to identify which instance of the DOMBuilder generated this event in cases where multiple instances of DOMBuilder may be working in background.
  Returns:
    The unique `id` of the source DOMBuilder for this event.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.